﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Text.RegularExpressions;
using System.IO;
using System.Drawing;
using System.Threading;
using System.ComponentModel;
using System.Windows.Forms;
using FNF.Utility;
using FNF.Controls;
using FNF.XmlSerializerSetting;
using FNF.BouyomiChanApp;

namespace Plugin_wlm
{
    public class Plugin_wlm : IPlugin
    {
        private TargetForm targetform;

        public string Name { get { return "WLM読み上げ"; } }
        public string Version {
            get {
                return System.Reflection.Assembly.GetExecutingAssembly().GetName().Version.ToString();
            }
        }
        public string Caption { get { return "Windows Live Messengerのインスタントメッセージを読み上げます"; } }
        public ISettingFormData SettingFormData { get { return null; } }

        public void Begin()
        {
            if (targetform == null)
            {
                targetform = new TargetForm();
                targetform.Plugin = this;
            }
            targetform.Show();
            targetform.beginPlugin();
        }

        public void End()
        {
            targetform.endPlugin();
            targetform.Hide();
        }
    }
}
